/* Tasterabfrage, Eingabe-Befehl kennen lernen
 * P2.9 Taster links gedrückt -> Programmiermodus
 * P2.2 Taster rechts liest im Programmiermodus das rechte Bit des Lauflichts ein
 */
#define gedrueckt 0
#include <XMC1100-Lib.h>			// Hilfsfunktionen fuer XMC1100

uint16_t z,muster; 					// Laufvariable, Speichervariable für Lauflichtmuster
uint8_t taster;
int main(void)						// Hauptprogramm
{
  port_init(P0,OUTP);				// Port0 auf Ausgabe programmieren
  bit_init(P2, 9, INP);				// Programmiermodus
  bit_init(P2, 2, INP);				// Schiebebit
  muster = 1; 						// Anfangsmuster
  while(1U)							// Endlosschleife, immer bei Controllern
  {
	if (bit_read(P2,9)==gedrueckt)	// Taster links
		{
		 if (bit_read(P2,2)==gedrueckt) muster |= 1;      // Rechtes Bit=1
		 else                           muster &= 0xfffe; // Rechtes Bit=0
		}
	port_write(P0,muster);			// Muster an Port0 ausgeben
	delay_ms (100);					// Zeitverzoegerung 100ms
	muster = ((muster&0x8000)>>15)|(muster<<1); // Ringschieben
  }//while
}//main
