/* Ampel mit Tabelle*/
#include <XMC1100-Lib.h>		// Hilfsfunktionen für XMC1100

// H3R	H3G	H2R	H2Y	H2G	H1R	H1Y	H1G  Anschluss der Ampeln an P0
//                              P0.0
uint16_t ampel[] = {  // Tabelle Ampel-Anzeigen mit Zeitdauer
		0b10001100,1, // Phase 0
		0b10010100,1, // Phase 1
		0b10100100,2, // Phase 2
		0b01100100,2, // Phase 3
		0b01100110,1, // Phase 4
		0b01100001,3, // Phase 5
		0b10100001,3, // Phase 6
		0b10100010,1, // Phase 7
		0b10100100,2, // Phase 8
		0b10110100,1, // Phase 9
		0b10001100,4  // Phase 10  //insgesamt 11 Ampelphasen
		};

//-------------------- Hauptprogramm -----------------------------------------------------------------------
int main(void)
{
  uint8_t i;					// Zählervariable
  port_init(P0,OUTP);			// Port0 (Ampel) auf Ausgabe programmieren
  while (1u)					// Endlosschleife
  {
	for (i=0;i<11;i++)			// 11 Tabellenwerte
	{
	   port_write(P0,ampel[2*i]);	// Ampelphase ausgeben
	   delay_ms(ampel[2*i+1]*1000);	// für [Tabellenwert] Sekunden
	}//for
  }//while
}//main
