/* Test externer Interrupt
 * abfallende Flanke Taster P2.9 aber steigende Flanke Interrupt
 *   (Taster drücken, weil lowaktiv) -> binär aufwärts zählen
 * ansteigende flanke Taster P2.10 aber fallende Flanke Interrupt
 *   (Taster loslassen, weil lowaktiv)-> binär abwärts zählen */
#include <XMC1100-Lib.h>		// Hilfsfunktionen für XMC1100

uint8_t zaehler;

int main(void)					// Hauptprogramm
{
  //ext_interrupt_init();  		// externe Interrupts initialisiseren wie in Techn. Richtlinien
  	  	  	  	  	  	  	  	// bei steigender Flanke an P2.9, bei fallender Flanke an P2.10
  ext_interrupt1_init(FE);		// Falling Edge = abfallende Flanke
  ext_interrupt2_init(RE);		// Rising Edge = ansteigende Flanke
  ext_interrupt1_enable (); 	// Int. an P2.9 freigeben
  ext_interrupt2_enable ();		// Int an P2.10 freigeben
  port_init(P0,OUTP);			// LEDs an P0 -> Ausgabe
  while(1)					 	// Endlos
  {
	 port_write(P0,zaehler);	// dualer Zählerstand an LEDs
  }//while
}//main

// Interrupt-Service-Routinen  ( ISR)
void ERU0_3_IRQHandler (void )// P2.9
{
   zaehler++;
}
void ERU0_2_IRQHandler(void) // // P2.10
{
   zaehler--;
}




