/* Ampel mit Tabelle und Anforderung über ext. Interrupts
 * steigende Flanke an P2.9 Auto-Anforderung
 * fallende Flanke an P2.10 Fußgänger-Anforderung */

#include <XMC1100-Lib.h>		// Hilfsfunktionen für XMC1100
// Induktionsschleife I1 an P2.9
// Fussgänger-Anforderung S1 an P2.10
// H3R	H3G	H2R	H2Y	H2G	H1R	H1Y	H1G  Anschluss der Ampeln an P0
//                              P0.0
uint16_t ampel[] = {			// Tabelle der Ampel-Anzeigen
		0b10001100,1, // Phase 0
		0b10010100,1, // Phase 1
		0b10100100,2, // Phase 2
		0b01100100,2, // Phase 3
		0b01100110,1, // Phase 4
		0b01100001,3, // Phase 5
		0b10100001,3, // Phase 6
		0b10100010,1, // Phase 7
		0b10100100,2, // Phase 8
		0b10110100,1, // Phase 9
		0b10001100,4  // Phase 10  //insgesamt 11 Ampelphasen
		};
uint8_t anforderung = 0;
//-------------------- Hauptprogramm -----------------------------------------------------------------------
int main(void)
{
  uint8_t i;					// Zählervariable
  port_init(P0,OUTP);			// Port0 (Ampel) auf Ausgabe programmieren
  bit_init(P1,4,OUTP);			// Anforderungs-Anzeige
  ext_interrupt_init();			// externe Interrupts initialisieren inkl. Port
  ext_interrupt1_enable ();     // Int. an P2.9 Induktionsschleife I1 freigeben
  ext_interrupt1_enable ();		// Int. an P2.10 Fußgänger-Anforderung S1 freigeben
  port_write(P0,ampel[0]);			// Start-Ampelphase ausgeben
  while (1u)						// Endlosschleife
  {
	while (anforderung == 0);		// warten auf Anforderung von Auto oder Fußgänger
	for (i=0;i<11;i++) {			// 11 Tabellenwerte
	   if (i==6) {
			anforderung = 0; 		// Anforderung rücksetzen wenn Fußgänger wieder rot bekommen
			bit_write(P1,4,0);		// gelöschte Anforderung anzeigen
	   }// if
	   port_write(P0,ampel[2*i]);	// Ampelphase ausgeben
	   delay_ms(ampel[2*i+1]*1000);	// für [Tabellenwert] Sekunden
	}//for
  }//while
}//main

void ERU0_3_IRQHandler (void ) 		// steigende Flanke an P2.9
{
   anforderung = 1;					// Anforderung merken
   bit_write(P1,4,1);				// Anforderung anzeigen
}
void ERU0_2_IRQHandler(void)		// fallende Flanke an P2.10
{
   anforderung = 1;					// Anforderung merken
   bit_write(P1,4,1);				// Anforderung anzeigen
}


